Bug 652414 - Review Request: rubygem-boxgrinder-build-sftp-delivery-plugin - BoxGrinder plugin delivering appliances to SFTP servers
Summary: Review Request: rubygem-boxgrinder-build-sftp-delivery-plugin - BoxGrinder pl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 652400
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-11 19:50 UTC by Marek Goldmann
Modified: 2011-01-30 19:51 UTC (History)
4 users (show)

Fixed In Version: rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-23 18:25:59 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2010-11-11 19:50:07 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.3-2.fc14.src.rpm
Description:

BoxGrinder Build (http://www.jboss.org/boxgrinder) to
Fedora. BoxGrinder is a command line tool for building appliances (virtual
machines) to various platforms (KVM, Xen, VMware, EC2).

This package contains files required to deliver appliances to remote SFTP servers.

Comment 1 Marek Goldmann 2010-11-25 14:50:31 UTC
Updated spec files:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.3-3.fc15.src.rpm

Changelog:

* Tue Nov 23 2010  <mgoldman@redhat.com> - 0.0.3-3
- Cleaned Requires/Build Requires
- Added BR: rubygem(rake), BR: rubygem(echoe), BR: rubygem(rspec)

Comment 2 Marek Goldmann 2010-11-29 20:22:22 UTC
Updated spec files:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.4-1.fc15.src.rpm

Changelog:

* Mon Nov 29 2010  <mgoldman@redhat.com> - 0.0.4-1
- Upstream release: 0.0.4
- [BGBUILD-108] No plugin-manager require for sftp delivery plugin

Comment 3 Bryan O'Sullivan 2010-11-29 23:30:36 UTC
Build errors:

	rubygem(net-sftp) is needed by rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.4-1.fc14.noarch
	rubygem(net-ssh) is needed by rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.4-1.fc14.noarch
	rubygem(progressbar) is needed by rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.4-1.fc14.noarch

Please run a build under mock before resubmitting :-)

Comment 4 Marek Goldmann 2010-11-30 08:07:30 UTC
This package will be not available to build for F13/F14 for a week or two because its dependencies are not yet in stable for Fedora 13 and 14. Still waiting for rubygem-boxgrinder-core and rubygem-boxgrinder-build.

Btw, all gems you mentioned are already in stable:

https://admin.fedoraproject.org/updates/search/rubygem-net-ssh (rubygem-net-ssh-2.0.23-5)
https://admin.fedoraproject.org/updates/search/rubygem-net-sftp (rubygem-net-sftp-2.0.5-2)
https://admin.fedoraproject.org/updates/search/rubygem-progressbar (rubygem-progressbar-0.9.0-2)

Build log for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2633936

Comment 5 Marek Goldmann 2010-12-09 12:46:43 UTC
Dependencies should be now in stable.

Comment 6 Marek Goldmann 2010-12-18 10:17:28 UTC
Ping

Comment 7 Marek Goldmann 2011-01-12 18:12:34 UTC
Ping again

Comment 8 Marek Goldmann 2011-01-17 16:26:47 UTC
Updated spec files:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc14.src.rpm

Changelog:

* Tue Dec 14 2010  <mgoldman@redhat.com> - 0.0.5-1
- Upstream release: 0.0.5
- [BGBUILD-115] PackageHelper should take directory instead of file list to package

Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2726173

Comment 9 Mamoru TASAKA 2011-01-20 12:42:18 UTC
I will take a look at this.

By the way I would appreciate it if you would review
my review request (bug 669902)

Comment 10 Mamoru TASAKA 2011-01-21 18:17:41 UTC
Well, nothing which must be fixed I see.

* source clean, match with the upstream
* spec file clean
* builds on koji
* rebuilt rpms can be installed
* basic operation (for gem related pkg) works

! One misc
  - "rm -rf %{buildroot}" at the beginning of %install is no
    longer needed.

------------------------------------------------------------------
    This package (rubygem-boxgrinder-build-sftp-delivery-plugin)
    is APPROVED by mtasaka
------------------------------------------------------------------

Comment 11 Marek Goldmann 2011-01-21 20:32:39 UTC
Thank you for review!

New Package SCM Request
=======================
Package Name:      rubygem-boxgrinder-build-sftp-delivery-plugin
Short Description: BoxGrinder plugin delivering appliances to SFTP servers
Owners:            goldmann
Branches:          f13 f14

Comment 12 Jason Tibbitts 2011-01-21 22:14:29 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-01-22 08:02:18 UTC
rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc13

Comment 14 Fedora Update System 2011-01-22 08:02:26 UTC
rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc14

Comment 15 Fedora Update System 2011-01-22 20:34:27 UTC
rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-boxgrinder-build-sftp-delivery-plugin'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc13

Comment 16 Mamoru TASAKA 2011-01-23 18:25:59 UTC
Closing.

Comment 17 Marek Goldmann 2011-01-25 08:05:22 UTC
Package Change Request
======================
Package Name: rubygem-boxgrinder-build-sftp-delivery-plugin
New Branches: el5 el6
Owners: goldmann

Comment 18 Jason Tibbitts 2011-01-25 14:09:29 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2011-01-30 19:50:13 UTC
rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-01-30 19:50:57 UTC
rubygem-boxgrinder-build-sftp-delivery-plugin-0.0.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.